def replaceCookieAuthentication(site):
    if ('cookie_authentication' in site.objectIds() and
        site.cookie_authentication.meta_type != 'Session Crumbler'):
        site.manage_delObjects(ids=['cookie_authentication'])

    if 'cookie_authentication' not in site.objectIds():
        factory = site.manage_addProduct['SessionCrumbler'].manage_addSC
        factory('cookie_authentication')
    
def moveLayerUp(site):
    # This is *really* crappy.  There must be a way in GS / the skins
    # import handler to control order
    selections = site.portal_skins.selections
    for skin, layers in selections.items():
        layers = layers.split(',')
        layers = ','.join(layers[:1] + ['httpslogin'] + layers[1:])
        selections[skin] = layers

def importVarious(context):
    replaceCookieAuthentication(context.getSite())
    moveLayerUp(context.getSite())


